> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maxapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Text to Image

> Seedream Text-to-Image — Generate images from text descriptions

Use Seedream image models to generate images from a prompt. 3 model versions are supported.

### Available Models

`seedream-5-lite` · `seedream-4.5` · `seedream-4`

<ParamField body="model" type="string" required>
  Model name, e.g. `seedream-4.5`, `seedream-5-lite`.
</ParamField>

<ParamField body="callBackUrl" type="string">
  Webhook callback URL.
</ParamField>

<ParamField body="input" type="object" required>
  <Expandable title="properties" defaultOpen>
    <ParamField body="prompt" type="string" required>
      Prompt describing the image you want to generate.
    </ParamField>

    <ParamField body="ratio" type="string">
      Image aspect ratio. Options: `1:1`, `4:3`, `3:4`, `16:9`, `9:16`, `3:2`, `2:3`, `21:9`.
    </ParamField>

    <ParamField body="resolution" type="string">
      Resolution. Options: `1k`, `2k`, `4k`.
    </ParamField>

    <ParamField body="n" type="integer">
      Number of images to generate. Default `1`. Billing scales linearly with `n`.

      * `seedream-5-lite`: 1–4
      * `seedream-4` / `seedream-4.5`: 1–15
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.maxapi.io/api/v1/task/submit \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
    "model": "seedream-4.5",
    "callBackUrl": "https://example.com/webhook",
    "input": {
      "prompt": "Cyberpunk Tokyo street",
      "ratio": "16:9",
      "resolution": "2k"
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Submitted successfully theme={null}
  {
    "code": 0,
    "msg": "ok",
    "data": {
      "taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad"
    }
  }
  ```
</ResponseExample>

***

## Query Result

Retrieve the generation result via the [Query Task](/api-reference/query-task) endpoint or Webhook:

```json theme={null}
{
  "code": 0,
  "msg": "ok",
  "data": {
    "taskId": "9db7d1ed-d1e5-4d11-9f3a-61f653b905ad",
    "status": "SUCCESS",
    "input": {
      "model": "seedream-4.5",
      "prompt": "Cyberpunk Tokyo street",
      "ratio": "16:9",
      "resolution": "2k"
    },
    "result": {
      "type": "image",
      "urls": [
        "https://example.com/output/image1.png",
        "https://example.com/output/image2.png",
        "https://example.com/output/image3.png",
        "https://example.com/output/image4.png"
      ]
    },
    "created_at": "2026-02-10T21:54:46.686768Z",
    "updated_at": "2026-02-10T21:55:04.039815Z"
  }
}
```

<Note>
  Image generation typically returns multiple images. `result` is only populated when `status` is `SUCCESS`.
</Note>
